/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.statistics;

import de.intevation.gnv.math.AttributedXYColumns;

import de.intevation.gnv.state.describedata.KeyValueDescibeData;

import de.intevation.gnv.statistics.exception.StatisticsException;

import java.util.ArrayList;
import java.util.Collection;

import org.apache.log4j.Logger;

/**
 * This class is used to create a statistic in 'Profilschnitt' products.
 *
 * @author <a href="mailto:sascha.teichmann@intevation.de">Sascha L. Teichmann</a>
 */
public class VerticalCrossSectionStatistics
extends      AbstractStatistics
{
    private static Logger log = Logger.getLogger(
        VerticalCrossSectionStatistics.class);

    public VerticalCrossSectionStatistics() {
    }


    public Collection<StatisticSet> calculateStatistics(
         Object                          result,
         Collection<KeyValueDescibeData> parameters,
         Collection<KeyValueDescibeData> measurements,
         Collection<KeyValueDescibeData> dates
    )
    throws StatisticsException {

        boolean debug = log.isDebugEnabled();

        if (debug) {
            log.debug("calculateStatistics --------------");
        }

        ArrayList<StatisticSet> statisticSet =
            new ArrayList<StatisticSet>();

        if (!(result instanceof AttributedXYColumns)) {
            log.error("wrong type of result");
            return statisticSet;
        }
        AttributedXYColumns columns = (AttributedXYColumns)result;

        return statisticSet;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
